Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 584433 - [abrt] crash in exaile-0.3.1.0-1.fc12: collection.py:108:__init__:TypeError: GladeXML.__init__() argument 1 must be string, not None
[abrt] crash in exaile-0.3.1.0-1.fc12: collection.py:108:__init__:TypeError: ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:c3044508
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-21 11:05 EDT by Kirill Shendrikowski
Modified: 2010-12-03 10:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:36:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (840 bytes, text/plain)
2010-04-21 11:05 EDT, Kirill Shendrikowski
no flags Details

  None (edit)
Description Kirill Shendrikowski 2010-04-21 11:05:47 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.31.12-174.2.19.fc12.x86_64
package: exaile-0.3.1.0-1.fc12
reason: collection.py:108:__init__:TypeError: GladeXML.__init__() argument 1 must be string, not None
release: Fedora release 12 (Constantine)

backtrace
-----
collection.py:108:__init__:TypeError: GladeXML.__init__() argument 1 must be string, not None

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/panel/collection.py", line 185, in <lambda>
    def _on_delete_items(self, *args):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/__init__.py", line 325, in collection_manager
    map(coll.remove_library, remove)
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/collection.py", line 108, in __init__
    })
TypeError: GladeXML.__init__() argument 1 must be string, not None

Local variables in innermost frame:
self: <xlgui.collection.CollectionManagerDialog object at 0x2502690>
main: <xlgui.Main object at 0x22203d0>
parent: <gtk.Window object at 0x22bcd20 (GtkWindow at 0x17d7800)>
collection: <xl.collection.Collection object at 0x2169b10>

How to reproduce
-----
Pressed "Add music" once.
Comment 1 Kirill Shendrikowski 2010-04-21 11:05:49 EDT
Created attachment 408100 [details]
File: backtrace
Comment 2 Fedora Update System 2010-06-29 12:34:03 EDT
exaile-0.3.2.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12
Comment 3 Fedora Update System 2010-06-30 11:14:28 EDT
exaile-0.3.2.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12
Comment 4 Bug Zapper 2010-11-03 12:38:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 10:36:49 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.